6.0.0-git
2021-01-18

[#6747] reply to iso-8859-1 email address
Summary reply to iso-8859-1 email address
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 2. Medium
Owners Horde Developers (at)
Requester rsalmon (at) mbpgroup (dot) com
Created 2008-05-23 (4623 days ago)
Due
Updated 2008-05-27 (4619 days ago)
Assigned 2008-05-23 (4623 days ago)
Resolved 2008-05-27 (4619 days ago)
Milestone
Patch No

History
2008-05-27 21:46:10 Michael Slusarz Comment #3
Version ⇒ FRAMEWORK_3
Queue ⇒ Horde Framework Packages
State ⇒ Resolved
Priority ⇒ 2. Medium
Reply to this comment
Fixed in framework (Horde 3.2.1).
2008-05-23 19:00:16 Chuck Hagenbuch Comment #2
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
MIME::decode handles this fine, as does the mailbox list; the problem 
only shows up in the message view, probably when we try and split the 
email. Could be a Mail_RFC822 parser issue; dunno.
2008-05-23 15:47:23 rsalmon (at) mbpgroup (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ reply to iso-8859-1 email address
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
New Attachment: email.elm Download
Reply to this comment
IMP doesn't always decode the From address properly, eg :

From: =?iso-8859-1?Q?Salmon=2C_C=E9line?= <celine.salmon@logica.com>



I've attach a copy of an email. This is what I see in IMP :



From:          Salmon@Add Salmon@ to my Address Book, Céline 
<celine.salmon@logica.com>Add celine.salmon@logica.com to my Address 
Book



When I reply, this is what I get in the To: field :

Salmon@, Céline <celine.salmon@logica.com>




Saved Queries